﻿.grid-container {
    width: 100%;
    border: 1px solid #cfcfcf;
    font-family: system-ui;
    user-select: none;
    --row-h: 32px;
    background: white;
    overflow: auto;
    height: 100%;
}

.grid {
    display: inline-block;
    border-collapse: collapse;
}

.grid-header, .row {
    display: flex;
    box-sizing: border-box;
    position: relative;
    min-width: max-content;
    height: var(--row-h);
}

.grid-header {
    background: #f2f2f2;
    border-bottom: 1px solid #bdbdbd;
    position: sticky;
    top: 0;
    z-index: 50;
    font-weight: 600;
}


.sort-arrow {
    margin-left: auto;
    font-size: 10px;
    opacity: 0.8;
}

.resizer {
    position: absolute;
    left: 0;
    top: 0;
    width: 8px;
    height: 100%;
    cursor: col-resize;
    user-select: none;
}

.ctx {
    position: fixed;
    background: #ffffff;
    border: 1px solid #cfcfcf;
    box-shadow: 0 4px 12px rgba(0,0,0,.15);
    z-index: 9999;
    min-width: 140px;
}

.ctx-item {
    padding: 6px 12px;
    cursor: pointer;
}

    .ctx-item:hover {
        background: #f0f0f0;
    }

.grid-container:focus {
    outline: none;
}




.ctx-item.disabled {
    opacity: 0.5;
    pointer-events: none;
    cursor: default;
}



.row {
    border-bottom: 1px solid #ededed;
    --bs-gutter-x: 0 !important;
}

    .row:hover {
        background: #fafafa;
    }


.cell {
    padding: 4px 8px;
    /*border-right: 1px solid #d6d6d6;*/
    display: flex;
    align-items: center;
    justify-content: flex-start;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    background: white;
    cursor: pointer;
    flex: 0 0 auto;
    box-sizing: border-box;
    position: relative;
    min-width: @(MinColumnWidth) px;
}

    /*         .cell:hover {
                                                                            background: #cce5ff;
                                                                        } */

    .cell.selected {
        background: #cce5ff !important;
        outline: 1px solid #3399ff;
        outline-offset: -1px;
    }

    .cell.row-header {
        background: #f0f0f0;
        cursor: pointer;
        user-select: none;
        font-weight: bold;
        width: 34px;
        min-width: 24px;
        justify-content: center;
        flex: 0;
    }

        .cell.row-header:hover {
            background: #e0e0e0;
        }


input.cell-editor {
    width: 100%;
    border: none;
    outline: none;
    background: transparent;
    padding: 0;
    margin: 0;
    font: inherit;
}
